From 95f5c919f17f3a590cd9454b3c02679ca66cd00b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ma=C3=ABl=20Gramain?= <mael@enpls.org>
Date: Mon, 6 Jan 2025 23:37:04 +0100
Subject: [PATCH] also keep non greped lines.

---
 .ci/lint_wrap.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/.ci/lint_wrap.sh b/.ci/lint_wrap.sh
index 29626d9..20a6432 100755
--- a/.ci/lint_wrap.sh
+++ b/.ci/lint_wrap.sh
@@ -2,7 +2,10 @@ set -o pipefail
 sh .ci/lint.sh 2>&1 | tee output_tmp.txt
 EXIT_CODE=$?
 echo "\`\`\`" > output.txt
-grep 'msg=' output_tmp.txt | awk -F'msg="' '{print $2}' | sed 's/"$//' | sed 's/\\"/"/g' >> output.txt
+
+grep -n 'msg=' output_tmp.txt | awk -F'msg="' '{print $2}' | sed 's/"$//' | sed 's/\\"/"/g' >> output.txt
+grep -v 'msg=' output_tmp.txt >> output.txt
+
 echo "\`\`\`" >> output.txt
 echo "END"
-exit $EXIT_CODE
\ No newline at end of file
+exit $EXIT_CODE